All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::row_major Struct Reference

A tag for row-major storage of a dense matrix. More...

`#include <forwards.h>`

## Public Types

typedef row_major_tag | orientation_category

## Static Public Member Functions

static vcl_size_t | mem_index (vcl_size_t i, vcl_size_t j, vcl_size_t, vcl_size_t num_cols)
| Returns the memory offset for entry (i,j) of a dense matrix. More...

## Detailed Description

A tag for row-major storage of a dense matrix.

Definition at line 304 of file forwards.h.

## Member Typedef Documentation

typedef row_major_tag viennacl::row_major::orientation_category

Definition at line 306 of file forwards.h.

## Member Function Documentation

static vcl_size_t viennacl::row_major::mem_index | ( | vcl_size_t | i,
|  | vcl_size_t | j,
|  | vcl_size_t | ,
|  | vcl_size_t | num_cols
| ) |  |

inline static

Returns the memory offset for entry (i,j) of a dense matrix.

Parameters

  i | row index
  j | column index
  num_cols | number of entries per column (including alignment)

Definition at line 314 of file forwards.h.

The documentation for this struct was generated from the following file:

- viennacl/forwards.h